Skip to main content
GET
/
v1
/
youtube
/
video
/
details
Video Details
curl --request GET \
  --url https://api.agntdata.dev/v1/youtube/video/details \
  --header 'Authorization: <api-key>'
{
  "video_id": "PuQFESk0BrA",
  "title": "Your Mom's House Podcast - Ep. 488 w/ Bert Kreischer",
  "author": "YMH Studios",
  "number_of_views": 1979639,
  "video_length": "7456",
  "description": "Woah Mommies, it's a very special week so pull those jeans up. This week we have the fattest working comedian currently alive today. When will he die? The Mommies discuss before Bart's arrival. Plus, did you know it's SHART WEEK!?\n\nBert Kresicher arrives with all the hate in his big, over-sized heart. There is a debate about who the true Tour Bus Champ really is, plus we see never before seen clips from Brad's NETFLIX special. Do you know what a Mississippi Wet Wipe is? What's the worst smelling part of Brent's body? All these questions are answered, plus some new Sober October plans for the coming festivities. \n\nhttp://saatvamattress.com/\nhttp://yourmomshousepodcast.com/\nhttp://www.merchmethod.com/tomsegura/\nhttps://www.facebook.com/yourmomshousepodcast\nhttps://www.reddit.com/r/yourmomshousepodcast",
  "is_live_content": "False",
  "published_time": "2019-02-27",
  "channel_id": "UCYIgiXwJck_Pb5Nj-wIrsqg",
  "category": "Comedy",
  "type": "NORMAL",
  "keywords": [
    "ymh",
    "your mom's house",
    "your moms house",
    "tom segura",
    "christina pazsitzky",
    "christina p",
    "mommies",
    "jeans",
    "up",
    "high and tight",
    "what's with the jeans",
    "denim on denim",
    "podcast"
  ],
  "thumbnails": [
    {
      "url": "https://i.ytimg.com/vi/PuQFESk0BrA/hqdefault.jpg?sqp=-oaymwEbCKgBEF5IVfKriqkDDggBFQAAiEIYAXABwAEG&rs=AOn4CLAVzr3xrzBAumvcTN1rfWgf6k0Ffg",
      "width": 168,
      "height": 94
    },
    {
      "url": "https://i.ytimg.com/vi/PuQFESk0BrA/hqdefault.jpg?sqp=-oaymwEbCMQBEG5IVfKriqkDDggBFQAAiEIYAXABwAEG&rs=AOn4CLA8bb2XgAmmG0FliFnvHa88ToJbNw",
      "width": 196,
      "height": 110
    },
    {
      "url": "https://i.ytimg.com/vi/PuQFESk0BrA/hqdefault.jpg?sqp=-oaymwEcCPYBEIoBSFXyq4qpAw4IARUAAIhCGAFwAcABBg==&rs=AOn4CLDIW7onzWaqFkntZ83G34Jy2CLcTA",
      "width": 246,
      "height": 138
    },
    {
      "url": "https://i.ytimg.com/vi/PuQFESk0BrA/hqdefault.jpg?sqp=-oaymwEcCNACELwBSFXyq4qpAw4IARUAAIhCGAFwAcABBg==&rs=AOn4CLDl589UI9J8P0KUvzkjIxgoGqNoww",
      "width": 336,
      "height": 188
    },
    {
      "url": "https://i.ytimg.com/vi_webp/PuQFESk0BrA/maxresdefault.webp",
      "width": 1920,
      "height": 1080
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer token. Pass your agntdata API key as: Authorization: Bearer agnt_live_...

Query Parameters

video_id
string
default:PuQFESk0BrA
required

Response

Response

Schema Class for a Youtube video

video_id
string
required
title
string
author
string
number_of_views
integer
video_length
string
description
string
is_live_content
string
published_time
string
channel_id
string
category
string
type
string
default:NORMAL
keywords
string[]
thumbnails
Thumbnails Β· object[]